import 'package:equatable/equatable.dart';
import 'package:flutter/cupertino.dart';

abstract class VisitorPasswordEvent extends Equatable {
  const VisitorPasswordEvent();

  @override
  List<Object> get props => [];
}

class SelectPasswordType extends VisitorPasswordEvent {
  final String type;

  const SelectPasswordType(this.type);

  @override
  List<Object> get props => [type];
}

class SelectUsageFrequency extends VisitorPasswordEvent {
  final String usageType;

  const SelectUsageFrequency(this.usageType);

  @override
  List<Object> get props => [usageType];
}
class SelectTimeVisitorPassword extends VisitorPasswordEvent {
  final BuildContext context;
  final bool isStart;

  const SelectTimeVisitorPassword({ required this.context,required this.isStart});

  @override
  List<Object> get props => [context,isStart];
}



class ToggleDaySelectionEvent extends VisitorPasswordEvent {
  final String  key;

  const ToggleDaySelectionEvent({required this.key});
  @override
  List<Object> get props => [key];
}


class ToggleRepeatEvent extends VisitorPasswordEvent {}
class GeneratePasswordEvent extends VisitorPasswordEvent {}

class FetchDevice extends VisitorPasswordEvent {}

class OnlineOneTimePasswordEvent extends VisitorPasswordEvent {
  final String? email;
  final String? passwordName;

  const OnlineOneTimePasswordEvent({this.email,this.passwordName});

  @override
  List<Object> get props => [email!,passwordName!,];
}
class OnlineMultipleTimePasswordEvent extends VisitorPasswordEvent {
  final String? email;
  final String? passwordName;
  final String? invalidTime;
  final String? effectiveTime;

  const OnlineMultipleTimePasswordEvent({this.email,this.passwordName,this.invalidTime,this.effectiveTime});

  @override
  List<Object> get props => [email!,passwordName!,invalidTime!,effectiveTime!];
}

class SelectDeviceEvent extends VisitorPasswordEvent {
  final String deviceId;
  const SelectDeviceEvent(this.deviceId);
}